## com.puppycrawl.tools.checkstyle.api
Class SeverityLevel

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.SeverityLevel

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public final class SeverityLevel
extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

Severity level for a check violation.

Each violation of an audit check is assigned one of the severity levels defined here.

Author:
  David Schneider
See Also:
  Serialized Form

Field Summary
`static SeverityLevel` `ERROR` Severity level: error.
`static SeverityLevel` `IGNORE` Severity level: ignore.
`static SeverityLevel` `INFO` Severity level: informational.
`static SeverityLevel` `WARNING` Severity level: warning.

Method Summary
`int` `compareTo(java.lang.Object aObject)`
`boolean` `equals(java.lang.Object aObj)` The equals method.
`static SeverityLevel` `getInstance(java.lang.String aSeverityName)` SeverityLevel factory method.
`java.lang.String` `getName()`
`int` `hashCode()` The hashCode method.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### IGNORE

    public static final SeverityLevel IGNORE

  Severity level: ignore. This is the lowest severity level.

### INFO

    public static final SeverityLevel INFO

  Severity level: informational.

### WARNING

    public static final SeverityLevel WARNING

  Severity level: warning.

### ERROR

    public static final SeverityLevel ERROR

  Severity level: error. This is the highest severity level.

Method Detail

### toString

    public java.lang.String toString()

  See Also:
    `Object`

### getName

    public java.lang.String getName()

  Returns:
    the name of this severity level.

### compareTo

    public int compareTo(java.lang.Object aObject)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  See Also:
    `Comparable`

### equals

    public boolean equals(java.lang.Object aObj)

  The equals method.

  Parameters:
    `aObj` - Object to compare to.
  Returns:
    `true` means equal, `false` means not equal.

### hashCode

    public int hashCode()

  The hashCode method.

  Returns:
    hash code for the object.

### getInstance

    public static SeverityLevel getInstance(java.lang.String aSeverityName)

  SeverityLevel factory method.

  Parameters:
    `aSeverityName` - severity name, such as "ignore", "info", etc.
  Returns:
    the `SeverityLevel` associated with `aSeverityName`

Back to the Checkstyle Home Page